
From: NeilBrown <neilb@cse.unsw.edu.au>

We need to remove the recovery directory here too.  (This chunk just got lost
somehow in the process of commuting the reboot recovery patches past the other
patches.)

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/nfsd/nfs4state.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/nfsd/nfs4state.c~nfsd4-reboot-recovery-fix fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfsd4-reboot-recovery-fix	Wed Jul  6 13:08:01 2005
+++ 25-akpm/fs/nfsd/nfs4state.c	Wed Jul  6 13:08:01 2005
@@ -874,6 +874,7 @@ nfsd4_setclientid_confirm(struct svc_rqs
 			  * change request correctly. */
 			atomic_set(&conf->cl_callback.cb_set, 0);
 			gen_confirm(conf);
+			nfsd4_remove_clid_dir(unconf);
 			expire_client(unconf);
 			status = nfs_ok;
 
_
